Module java.desktop
Package java.awt.geom

# Class NoninvertibleTransformException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.geom.NoninvertibleTransformException

All Implemented Interfaces:
  `Serializable`

public class NoninvertibleTransformException extends Exception
The `NoninvertibleTransformException` class represents an exception that is thrown if an operation is performed requiring the inverse of an `AffineTransform` object but the `AffineTransform` is in a non-invertible state.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoninvertibleTransformException(String s)`
Constructs an instance of `NoninvertibleTransformException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoninvertibleTransformException

public NoninvertibleTransformException(String s)
Constructs an instance of `NoninvertibleTransformException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2